#include <kstdhdr.hpp>

Boolean KStandardHandler::dispatchHandlerEvent(IEvent &event)
{
   Boolean filtered;

   switch (event.eventId())
   {
      case KW_SET_CONTROLS:
         filtered = setControls(event);
         break;

      case KW_SET_DEFAULTS:
         filtered = setDefaults(event);
         break;

      case KW_GET_DATA:
         filtered = getData(event);
         break;

      case KW_SET_DATA:
         filtered = setData(event);
         break;

      case KW_QUERY_CONTROLS:
         filtered = queryControls(event);
         break;

      case KW_REQUIRED_CONTROLS:
         filtered = requiredControls(event);
         break;

      case KW_VALIDATE_CONTROLS:
         filtered = validateControls(event);
         break;

      case KW_ACTION_COMPLETE:
         filtered = actionComplete(event);

      case KW_ADD_DYNAMIC:
         filtered = addDynamic(event);

      default:
         filtered = false;
         break;
   }
   return filtered;
}

